## org.apache.cassandra.db
Class ColumnFamilySerializer

    java.lang.Object
      org.apache.cassandra.db.ColumnFamilySerializer

All Implemented Interfaces:
  ICompactSerializer2<ColumnFamily>

    public class ColumnFamilySerializer

extends java.lang.Object
implements ICompactSerializer2<ColumnFamily>

Constructor Summary
`ColumnFamilySerializer()`

Method Summary
`ColumnFamily` `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`ColumnFamily` `deserializeFromSSTable(SSTableReader sstable, java.io.DataInput file)`
`ColumnFamily` `deserializeFromSSTableNoColumns(ColumnFamily cf, java.io.DataInput input)`
`ColumnFamily` `deserializeFromSSTableNoColumns(java.lang.String name, java.lang.String type, AbstractType comparator, AbstractType subComparator, java.io.DataInput input)`
`void` `serialize(ColumnFamily columnFamily, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
`void` `serializeForSSTable(ColumnFamily columnFamily, java.io.DataOutput dos)`
`void` `serializeWithIndexes(ColumnFamily columnFamily, java.io.DataOutput dos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnFamilySerializer

    public ColumnFamilySerializer()

Method Detail

### serialize

    public void serialize(ColumnFamily columnFamily,
                          java.io.DataOutput dos)

  Description copied from interface: `ICompactSerializer2`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ICompactSerializer2<ColumnFamily>`
  Parameters:
    `columnFamily` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.

### serializeForSSTable

    public void serializeForSSTable(ColumnFamily columnFamily,
                                    java.io.DataOutput dos)

### serializeWithIndexes

    public void serializeWithIndexes(ColumnFamily columnFamily,
                                     java.io.DataOutput dos)

### deserialize

    public ColumnFamily deserialize(java.io.DataInput dis)
                             throws java.io.IOException

  Description copied from interface: `ICompactSerializer2`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ICompactSerializer2<ColumnFamily>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### deserializeFromSSTableNoColumns

    public ColumnFamily deserializeFromSSTableNoColumns(java.lang.String name,
                                                        java.lang.String type,
                                                        AbstractType comparator,
                                                        AbstractType subComparator,
                                                        java.io.DataInput input)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserializeFromSSTableNoColumns

    public ColumnFamily deserializeFromSSTableNoColumns(ColumnFamily cf,
                                                        java.io.DataInput input)
                                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### deserializeFromSSTable

    public ColumnFamily deserializeFromSSTable(SSTableReader sstable,
                                               java.io.DataInput file)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation